%define anolis_release 1

%global debug_package %{nil}

Name:           python-pyatspi
Version:        2.46.0
Release:        %{anolis_release}%{?dist}
Summary:        Python bindings for at-spi

License:        LGPLv2 and GPLv2
URL:            http://www.linuxfoundation.org/en/AT-SPI_on_D-Bus
Source0:        http://download.gnome.org/sources/pyatspi/2.46/pyatspi-%{version}.tar.xz

BuildRequires:  make
BuildRequires:  pkgconfig(atspi-2)
BuildRequires:  pkgconfig(dbus-1) >= 1.0
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(dbus-glib-1) >= 0.7.0
BuildRequires:  pkgconfig(gobject-2.0) >= 2.0.0
BuildRequires:  pkgconfig(gmodule-2.0) >= 2.0.0
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libxml-2.0) >= 2.0.0
BuildRequires:  pkgconfig(atk) >= 2.11.2
BuildRequires:  pkgconfig(gtk+-2.0) >= 2.10.0
BuildRequires:  pkgconfig(pygobject-3.0) >= 2.90.1

BuildRequires:  python3-devel
BuildRequires:  python3-dbus

BuildArch:      noarch

%description
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

This package includes a python3 client library for at-spi.


%package -n python3-pyatspi
Summary:        Python3 bindings for at-spi
Requires:       at-spi2-core
Requires:       python3-gobject

%description -n python3-pyatspi
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

This package includes a python3 client library for at-spi.

%package -n     python3-pyatspi-doc
Summary:        doc files for python3-pyatspi
Requires:       python3-pyatspi = %{version}-%{release}

%description -n python3-pyatspi-doc
doc files for python3-pyatspi

%prep
%autosetup -n pyatspi-%{version}


%build
%configure --with-python=python3 --enable-tests
%make_build


%install
%make_install

# Fix up the shebang for python3 example
sed -i '1s|^#!/usr/bin/python|#!%{__python3}|' examples/magFocusTracker.py


%check
# Done by the 'build' step, with --enable-tests


%files -n python3-pyatspi
%license COPYING COPYING.GPL
%doc examples/magFocusTracker.py
%{python3_sitelib}/pyatspi/

%files -n python3-pyatspi-doc
%doc AUTHORS README

%changelog
* Wed Mar 15 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.46.0-1
- Init upstream from version 2.46.0
